% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: syntax.pl,v $
%%  $Revision: 1.4 $
%%      $Date: 2005/12/21 14:00:36 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- multifile '*>'/2.


headed_phrase *>
  (head:Head,
   head_dtr:head:Head).



h_arg(HeadDtr,NonHeadDtr) :=
 (head_argument_phrase,
  subcat:Subcat,
  head_dtr:(HeadDtr,
            subcat:[NonHeadDtr|Subcat]),
  non_head_dtr:NonHeadDtr).

h_adj(HeadDtr,NonHeadDtr) :=
 (head_adjunct_phrase,
  subcat:Subcat,
  head_dtr:(HeadDtr,
            subcat:Subcat),
  non_head_dtr:(NonHeadDtr,
                head:mod:[HeadDtr],
                subcat:[])).


root :=
 (subcat:[]).

interrog :=
 (@root).

decl :=
 (@root).
